From 6a8157b2f14327351798c805a873e9e910f5cd67 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 20 Dec 2023 03:44:44 -0800
Subject: [PATCH v2] ci: Build INSTALL, it frequently breaks

Author:
Reviewed-By:
Discussion: https://postgr.es/m/
Backpatch:
---
 .cirrus.tasks.yml | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index e137769850d..410a6de2676 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -742,6 +742,9 @@ task:
 
   ###
   # Verify docs can be built
+  #
+  # Build the normal docs as well as INSTALL, as the latter is easy to break
+  # via links that cannot be resolved.
   ###
   # XXX: Only do this if there have been changes in doc/ since last build
   always:
@@ -752,7 +755,8 @@ task:
         CXX="ccache g++" \
         CLANG="ccache clang"
       make -s -j${BUILD_JOBS} clean
-      time make -s -j${BUILD_JOBS} -C doc
+      time make -s -j${BUILD_JOBS} -C doc/src/sgml all INSTALL
+
 
   ###
   # Verify headerscheck / cpluspluscheck succeed
-- 
2.41.0.rc2

